Bug 173060 - Modular X: The VESA driver should probably be installed as a default fallback
Summary: Modular X: The VESA driver should probably be installed as a default fallback
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: xorg-modular
TreeView+ depends on / blocked
 
Reported: 2005-11-13 12:17 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 22:59:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2005-11-13 12:17:02 UTC
Description of problem:

Right now an X11 modular upgrade does not install any driver
It would probably be a good idea to install at least the vesa driver by default

ie make xorg-x11-server-Xorg depend on it

Comment 1 Nicolas Mailhot 2005-11-13 14:04:52 UTC
probably a good idea to install the keyboard and mouse driver by default too ;)

Comment 2 Mike A. Harris 2005-11-14 22:18:06 UTC
(In reply to comment #0)
> Right now an X11 modular upgrade does not install any driver
> It would probably be a good idea to install at least the vesa driver by default
> 
> ie make xorg-x11-server-Xorg depend on it

We're going to have a separate 'virtual' package which contains dependencies
on every driver built for a particular architecture, and have the X server
"Requires" the virtual package.

This gives us the following benefits:
1) We can ensure that all drivers get installed mandatorily on OS installs.
2) We can ensure that all drivers get installed on upgrades[1]
3) We can upgrade individual drivers whenever we like, without updating all
   of them at the same time just for one driver.
4) If we want to add or remove a driver from the OS, or on a single
   architecture, we can add/remove the driver, update the virtual package,
   and release the new virtual package and new driver without having to
   also release a new X server package.

I'll add the vesa driver to the hard coded Xorg list in the next build.

(In reply to comment #1)
> probably a good idea to install the keyboard and mouse driver by default too 

Yep, jeremy added that last night.



Comment 3 Jeremy Katz 2005-11-14 22:59:27 UTC
These are added now 


Note You need to log in before you can comment on or make changes to this bug.